1. 03 Nov, 2008 1 commit
    • Vinicius Ruoso's avatar
      Fix prd_refute script · 8ccea1de
      Vinicius Ruoso authored
      When detecting if the school will be refuted or not it's necessary
      to check the /etc/prd_version file. If the version is the 1.1 or some
      2.0rc, the school must be refuted.
      
      The problem happens when the school should not be refuted, but the
      return statement wasn't work like expected, and the script keep
      runnning, bloking the school.
      
      Removing the return command and adding a block based "if" command
      has solved this issue.
      Signed-off-by: default avatarVinicius Ruoso <vkr07@c3sl.ufpr.br>
      8ccea1de
  2. 31 Oct, 2008 1 commit
    • Vinicius Ruoso's avatar
      Added a script to refute undesired versions of PrD · 632b16c4
      Vinicius Ruoso authored
      To refute old PrD version, such as 1.1 and 2.0rc*, this script will create
      a /etc/nologin file with some instructions and add on /etc/rc2.d to secure
      that the nologin file will be there when the system is rebooted.
      
      Also an entry to refute script on autogen.conf has been added to correctly
      generate a new Makefile. This entry has been added before prd_ajudaremota
      script, which was moved to 002 position.
      Signed-off-by: default avatarVinicius Ruoso <vkr07@c3sl.ufpr.br>
      632b16c4